| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GslError Struct Reference

`#include <GslError.h>`

Collaboration diagram for GslError:

[legend]
List of all members.

## Detailed Description

Helper class to represent GSL errors.

Author:
  Vanya Belyaev Ivan.Belyaev

Date:
  29/04/2002

Definition at line 16 of file GslError.h.

## Public Member Functions
| GslError (const std::string &r="", const std::string &f="", const int l=0, const int c=0)
| constructor
bool | operator< (const GslError &right) const
| comparison (ordering) criteria
## Public Attributes
std::string | reason
| error message ('reason')
std::string | file
| file name
int | line
| line number
int | code
| error code (GSL)

## Constructor & Destructor Documentation

GslError::GslError | ( | const std::string & | r = `""`,
|  | const std::string & | f = `""`,
|  | const int | l = `0`,
|  | const int | c = `0` |
| ) |  |  | `[inline]`

constructor

Definition at line 28 of file GslError.h.

    00032     : reason ( r ) , file   ( f ) , line   ( l ) , code   ( c ) {};

## Member Function Documentation

bool GslError::operator< | ( | const GslError & | right | ) | const`[inline]`

comparison (ordering) criteria

Definition at line 34 of file GslError.h.

References code, file, line, and reason.

    00035   {
    00036     return
    00037       code         < right.code   ? true  :
    00038       right.code   <       code   ? false :
    00039       reason       < right.reason ? true  :
    00040       right.reason <       reason ? false :
    00041       file         < right.file   ? true  :
    00042       right.file   <       file   ? false : line < right.line ;
    00043   };

## Member Data Documentation

std::string GslError::reason

error message ('reason')

Definition at line 20 of file GslError.h.

Referenced by GslErrorPrint::handle(), GslErrorException::handle(), and operator<().

std::string GslError::file

file name

Definition at line 22 of file GslError.h.

Referenced by GslErrorPrint::handle(), GslErrorException::handle(), and operator<().

int GslError::line

line number

Definition at line 24 of file GslError.h.

Referenced by GslErrorPrint::handle(), GslErrorException::handle(), and operator<().

int GslError::code

error code (GSL)

Definition at line 26 of file GslError.h.

Referenced by GslSvc::handle(), GslErrorPrint::handle(), GslErrorException::handle(), and operator<().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiGSL/v6r9/GaudiGSL/GslError.h